Index: base/src/TApplication.cxx
===================================================================
RCS file: /user/cvs/root/base/src/TApplication.cxx,v
retrieving revision 1.13
diff -u -r1.13 TApplication.cxx
--- TApplication.cxx	2001/06/01 16:18:44	1.13
+++ TApplication.cxx	2001/06/10 15:35:37
@@ -126,6 +126,7 @@
       fArgv[i] = StrDup(argv[i]);
 
    GetOptions(argc, argv);
+   if (fArgv) gSystem->SetProgname(fArgv[0]);
 
    fIdleTimer     = 0;
    fIdleCommand   = 0;
@@ -166,7 +167,7 @@
    // Hook for further initializing the WM dependent application environment
    Init();
 
-   if (fArgv) gSystem->SetProgname(fArgv[0]);
+//    if (fArgv) gSystem->SetProgname(fArgv[0]);
 
    // Set default screen factor (if not disabled in rc file)
    if (gEnv->GetValue("Canvas.UseScreenFactor", 1)) {
Index: base/src/TROOT.cxx
===================================================================
RCS file: /user/cvs/root/base/src/TROOT.cxx,v
retrieving revision 1.40
diff -u -r1.40 TROOT.cxx
--- TROOT.cxx	2001/05/20 17:34:42	1.40
+++ TROOT.cxx	2001/06/10 15:35:41
@@ -1075,16 +1075,17 @@
    else {
       // special case for ROOT classes Txxx
       char *lib, *path;
-#ifdef WIN32
-      lib = Form("lib%s", libname);       // used to be Root_%s
-#else
       lib = Form("lib%s", libname);
-#endif
       if ((path = gSystem->DynamicPathName(lib, kTRUE))) {
          err = gSystem->Load(path, 0, kTRUE);
          delete [] path;
-      } else
+      } else {
+#ifdef WIN32
+         err = gSystem->Load(lib, 0, kTRUE);
+#else
          err = gSystem->Load(libname, 0, kTRUE);
+#endif
+      }
    }
 
    if (err == 0)
Index: base/src/TSystem.cxx
===================================================================
RCS file: /user/cvs/root/base/src/TSystem.cxx,v
retrieving revision 1.18
diff -u -r1.18 TSystem.cxx
--- TSystem.cxx	2001/06/06 16:48:33	1.18
+++ TSystem.cxx	2001/06/10 15:35:46
@@ -657,7 +657,7 @@
    iter++; c = inp; ier = 0;
    x = out; x[0] = 0;
 
-   for ( ; (c[0]) && c[0] != ' ' ; c++) {
+   for ( ; c[0]; c++) {
 
       p = 0; e = 0;
       if (c[0] == '~' && c[1] == '/') { // ~/ case
@@ -1299,7 +1299,7 @@
 
   // ======= Get the right file names for the dictionnary and the shared library
   TString library = filename;
-  ExpandFileName( library );
+  ExpandPathName( library );
   if (! IsAbsoluteFileName(library) ) {
     library = ConcatFileName( WorkingDirectory(), library );
   }
@@ -1326,7 +1326,7 @@
     // Use the specified name instead of the default
     libname = BaseName( library_specified );
     library = library_specified;
-    ExpandFileName( library );
+    ExpandPathName( library );
     if (! IsAbsoluteFileName(library) ) {
       library = ConcatFileName( WorkingDirectory(), library );
     }
Index: winnt/src/TWinNTSystem.cxx
===================================================================
RCS file: /user/cvs/root/winnt/src/TWinNTSystem.cxx,v
retrieving revision 1.17
diff -u -r1.17 TWinNTSystem.cxx
--- TWinNTSystem.cxx	2001/06/07 10:47:10	1.17
+++ TWinNTSystem.cxx	2001/06/10 15:36:59
@@ -948,7 +948,7 @@
        char *r = max(rslash, bslash);
        const char *ptr = pathname;
        while (ptr <= r) {
-         if (r == ":")
+         if (*ptr == ':')
          {
            // Windows path may contain a drive letter
            // For NTFS ":" may be a "stream" delimiter as well
@@ -1192,7 +1192,6 @@
    const char *patbuf = (const char *)patbuf0;
    const char *hd, *p;
    char   *cmd = 0;
-   char    stuffedPat[kMAXPATHLEN], name[70];
    char  *q;
    int    ch, i;
 
@@ -1423,44 +1422,6 @@
       Error("DynamicPathName",
       "dll does not exist or wrong file extension (.dll)", lib);
 
-#if 0
-    if (!lib || !strlen(lib)) return 0;
-    char *name = 0;
-
-   // Append an extention if any
-
-   if (!strchr(lib, '.')) {
-      name = Form("%s.dll", lib);
-      name = gSystem->Which(GetDynamicPath(), name, kReadPermission);
-   }
-   else {
-       int len = strlen(lib);
-       if (len > 4 && !(strnicmp(lib+len-4, ".dll",4)))
-       {
-           name = gSystem->Which(GetDynamicPath(), lib, kReadPermission);
-       }
-       else {
-           ::Error("TWinNTSystem::DynamicPathName",
-               "DLL library must have extension: .dll", lib);
-           name = 0;
-       }
-   }
-#endif
-#if 0
-   if (name)
-   {
-     char driveletter = DriveName(name);
-     char *dirname    = (char *)DirName(name);
-     delete [] name;  // allocated by Which()
-     if (driveletter) {
-        name = Form("%c:%s",driveletter,dirname);
-        delete [] dirname;
-        return StrDup(name);
-     } else
-        return dirname;
-   }
-   return 0;
-#endif
    return name;
 }
 

